request_video_bitmap(3)

NAME
request_video_bitmap

SYNOPSIS
#include <allegro.h>

int request_video_bitmap(BITMAP *bitmap);

DESCRIPTION
This function is used for triple buffering. It requests a page flip to display the specified video bitmap object, but returns immediately rather than waiting for a retrace. The flip will then take place during the next vertical retrace, but you can carry on running other code in the meantime and use the poll_scroll() routine to detect when the flip has actually taken place. Triple buffering is only possible on certain hardware: see the comments about request_scroll(). Returns zero on success.

SEE ALSO
poll_scroll(3), request_scroll(3), gfx_capabilities(3), timer_simulate_retrace(3), create_video_bitmap(3), scroll_screen(3), ex3buf(3), exupdate(3)